Bug 1947102 (CVE-2021-21639) - CVE-2021-21639 jenkins: lack of type validation in agent related REST API
Summary: CVE-2021-21639 jenkins: lack of type validation in agent related REST API
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-21639
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1947358 1947359
Blocks: 1947107
TreeView+ depends on / blocked
 
Reported: 2021-04-07 16:54 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-07-28 01:07 UTC (History)
18 users (show)

Fixed In Version: jenkins 2.287, jenkins LTS 2.277.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Jenkins. Due to lack of validation of type of object created after loading the data submitted to the config.xml REST API endpoint of a node, an attackers with Computer/Configure permission are able to replace a node with one of a different type.
Clone Of:
Environment:
Last Closed: 2021-07-28 01:07:16 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2437 0 None None None 2021-07-27 22:07:31 UTC

Description Guilherme de Almeida Suckevicz 2021-04-07 16:54:43 UTC
Jenkins 2.286 and earlier, LTS 2.277.1 and earlier does not validate the type of object created after loading the data submitted to the `config.xml` REST API endpoint of a node, allowing attackers with Computer/Configure permission to replace a node with one of a different type.

References:
http://www.openwall.com/lists/oss-security/2021/04/07/2
https://www.jenkins.io/security/advisory/2021-04-07/#SECURITY-1721

Comment 5 errata-xmlrpc 2021-07-27 22:07:33 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.8

Via RHSA-2021:2437 https://access.redhat.com/errata/RHSA-2021:2437

Comment 6 Product Security DevOps Team 2021-07-28 01:07:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-21639


Note You need to log in before you can comment on or make changes to this bug.